Linked by Thom Holwerda on Fri 31st May 2013 23:27 UTC
Internet & Networking "After a decade-long run, Camino is no longer being developed, and we encourage all users to upgrade to a more modern browser. Camino is increasingly lagging behind the fast pace of changes on the web, and more importantly it is not receiving security updates, making it increasingly unsafe to use."
Thread beginning with comment 563388
To read all comments associated with this story, please click here.
i'm sad :(
by sergio on Sat 1st Jun 2013 03:35 UTC
sergio
Member since:
2005-07-06

Camino is the only browser with true Mac look&feel based on the gecko engine. Mozilla sucked on Mac ten years ago... and ten years later It still sucks. xD

I used Camino a lot in the past when Webkit wasn't popular and there were lots of incompatible sites... Camino saved me several times.

Today I'm almost 100% Safari but I will miss Camino.

Reply Score: 4

RE: i'm sad :(
by Luposian on Sat 1st Jun 2013 03:50 in reply to "i'm sad :("
Luposian Member since:
2005-07-27

The last version of Camino I ever used was for MacOS X 10.3.9 (Panther). I really liked it. I still have my Panther-based Mac. Can't upgrade to anything newer, because of one program (iPiano) I have all my music tied to.

I was once told that it was impossible to upgrade Camino (or any other browser) for Panther, because the OS just doesn't support newer technology. Is it really that hard/impossible to update the code aspects of Panther, to make Camino (or other similar browsers of that time) useable for today's Internet. In late 2008, I was still able to browse the Internet with Camino. Now, nothing works. I get the "spinning beachball of death", just going to Google, I kid you not!

I dread using my Mac G4 Quicksilver for anything internet related... maybe it's still usable for Mail, though.

Forced obsolescence... it comes to everyone... no matter what OS you use. Upgrade (hardware/software) or be left behind. Sad, but true.

Edited 2013-06-01 03:51 UTC

Reply Parent Score: 4

RE[2]: i'm sad :(
by Wafflez on Sat 1st Jun 2013 10:59 in reply to "RE: i'm sad :("
Wafflez Member since:
2011-06-26

Yeah, that damn forced obsolescence... I couldn't even properly customize my Windows XP before it was time to move on to the next OS...


Oh wait, not every company is Apple or Linux one.

Reply Parent Score: 4

RE[2]: i'm sad :(
by dtravis7 on Sat 1st Jun 2013 16:02 in reply to "RE: i'm sad :("
dtravis7 Member since:
2005-07-14

When one continues to use a OS that is so old it should drop dead, what do you expect. Panther is full of issues. iPiano with a developer who ran? Use another Midi program and move on.

Reply Parent Score: 2